  <div id="map"></div>

  <script>
    $( document ).ready(function() {
      lat = 3.733;
      lon = -73.378;

      var map = L.map('map', {fullscreenControl: true, zoomControl: false}).setView([lat, lon], 6);
      var hash = new L.Hash(map);

      $(window).on("resize", function () { $("#map").height($(window).height() - 60); map.invalidateSize(); }).trigger("resize");

      L.tileLayer('https://a.tile.openstreetmap.org/{z}/{x}/{y}.png', { attribution: 'Guardianes de la Salud | OpenStreetMap', maxZoom: 18,}).addTo(map);
      L.control.zoom({position:'topright'}).addTo(map);

      map.addControl( new L.Control.Search({
        url: 'http://nominatim.openstreetmap.org/search?format=json&q={s}',
        jsonpParam: 'json_callback',
        propertyName: 'display_name',
        propertyLoc: ['lat','lon'],
        marker: L.circleMarker([0,0],{radius:30}),
        autoCollapse: true,
        autoType: false,
        minLength: 2
      }));

      var markers = L.markerClusterGroup();

      var IconBad = L.icon({ iconUrl: '<%= asset_path "leaflet/images/icon_bad_small.png" %>', iconSize: [83, 83] });
      var IconGood = L.icon({ iconUrl: '<%= asset_path "leaflet/images/icon_good_small.png" %>', iconSize: [83, 83] });

      <% @surveys.each do |key, survey| %>
        <% if survey["lat"] and survey["lon"] %>
          <% if survey["isGoodReport"] == false %>
            markers.addLayer(L.marker(L.latLng([<%= survey["lat"] %>, <%= survey["lon"] %>]), {icon: IconBad}).bindPopup('<%= get_survey_info(key, survey, @diseases).html_safe %>')).addTo(map);
          <% else %>
            markers.addLayer(L.marker(L.latLng([<%= survey["lat"] %>, <%= survey["lon"] %>]), {icon: IconGood}).bindPopup('<%= get_survey_info(key, survey, @diseases).html_safe %>')).addTo(map);
          <% end %>
        <% end %>
      <% end %>
    });
  </script>
